AndroidStudio 或 gradle 升级到 3.4 后找不到 kit 的包

AndroidStudio 或 gradle 升级到 3.4 后找不到 kit 的包
发布时间: 2019-01-15 14:30

回答:

AndroidStudio 或 gradle  升级到 3.4 后找不到 kit 的包


工程中以及依赖上了 SDK IMKit 或者 IMLib 但是怎么也找不到 RongIM 或者 RongIMClient 核心类,在代码中报红色提醒。

屏幕快照 2019-01-15 下午2.12.48.png


原因是 Android 在高版 gradle 在子 module 内去依赖 jar 包需要将其 build.gradle 的 dependencies 内的 compile 改成 api 即可。

我对此仍有疑问!继续追问